import { useClickedPointConfig } from "../../../stores/useClickedPointConfig";
import { useEffect } from "react";
import { FeatureProperties } from "./FeatureProperties";

export const WorkingPointPopup = ({ feature, point }) => {
  const featureId = feature.properties.id;
  const { setClickedPointConfig } = useClickedPointConfig();

  useEffect(() => setClickedPointConfig(featureId), [feature]);

  return <FeatureProperties feature={feature} point={point} />;
};
